import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, d = Object.getOwnPropertyDescriptor, p = (c, t, i, l) => {
  for (var e = l > 1 ? void 0 : l ? d(t, i) : t, s = c.length - 1, o; s >= 0; s--)
    (o = c[s]) && (e = (l ? o(t, i, e) : o(e)) || e);
  return l && e && f(t, i, e), e;
};
let r = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--emailFilled", this.class = "c-pieIcon c-pieIcon--emailFilled", this.name = "IconEmailFilled";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--emailFilled"><path d="m9.391 8.971-.945.875a.647.647 0 0 1-.884 0l-.98-.875-4.558 4.13c.168.064.346.097.525.096H13.45c.117.014.234.014.35 0l-4.41-4.226Z"></path><path d="M14.851 12.375c.109-.215.166-.451.167-.692V4.36a1.671 1.671 0 0 0-.114-.595l-4.55 4.313 4.498 4.297Z"></path><path d="M1.088 3.809a1.47 1.47 0 0 0-.088.55v7.28c0 .225.052.446.15.648L5.602 8.08l-4.515-4.27Z"></path><path d="m8 8.472 5.915-5.6a1.61 1.61 0 0 0-.463-.07H2.548c-.176.002-.35.031-.516.088L8 8.472Z"></path></svg>`;
  }
};
p([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  h("icon-email-filled")
], r);
export {
  r as IconEmailFilled
};
